<div id="messages">
    <button class="btn btn-primary" (click)="onSendMessage()">
      Send Test Message
    </button>
    <h2>Received messages</h2>
    <ol>
      <!-- we will use Angular binding to populate list of messages -->
      <li class="message" *ngFor="let message of receivedMessages">
        {{message}}
      </li>
    </ol>
  </div>